Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.webservices.wsdl
Class WsdlOpParameter

    java.lang.Object
      org.pentaho.di.trans.steps.webservices.wsdl.WsdlOpReturnType
          org.pentaho.di.trans.steps.webservices.wsdl.WsdlOpParameter

All Implemented Interfaces:
  Serializable

    public final class WsdlOpParameter

extends WsdlOpReturnType
implements Serializable

WSDL operation parameter abstraction.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `WsdlOpParameter.ParameterMode`

Method Summary
`boolean` | `equals(Object o)` Override the equals method.
`WsdlOpParameter.ParameterMode` | `getMode()` Get the mode of this parameter.
`QName` | `getName()` Get the name of this parameter.
`boolean` | `isHeader()` Is this parameter a SOAP header parameter?
`boolean` | `isNameElementFormQualified()` Is this paramter's name element form qualified?

Methods inherited from class org.pentaho.di.trans.steps.webservices.wsdl.WsdlOpReturnType
`getItemComplexType, getItemXmlType, getXmlType, isArray`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public QName getName()

  Get the name of this parameter.

  Returns:
    QName.

### getMode

    public WsdlOpParameter.ParameterMode getMode()

  Get the mode of this parameter.

  Returns:
    ParameterMode

### isNameElementFormQualified

    public boolean isNameElementFormQualified()

  Is this paramter's name element form qualified?

  Returns:
    True if element form qualified.

### isHeader

    public boolean isHeader()

  Is this parameter a SOAP header parameter?

  Returns:
    true if it is.

### equals

    public boolean equals(Object o)

  Override the equals method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `o` - Object to compare to.
  Returns:
    true if equal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD